Subject: (IPng 6458) Re: Host Fragmentation

From: [email-masked]
Date: Mon, 14 Sep 1998 20:01:47 EDT

In a message dated 9/14/98 3:14:39 PM Eastern Daylight Time, [email-masked]
writes:

> In message <[email-masked]>[email-masked] writes
>  >Is not the attempt to impose one solution for everything one
>  >of the major problems with IPv6?  The situation of a massive
>  >file server with a jumbogram capable adapter card  and
>  >many non-jumbogram capable clients is exactly a
>  >situation, that the current specification of IPv6 does
>  >not handle well because IPv6 imposes a single
>  >solution (host fragmentation) that simply does not
>  >apply in all cases.
>  
>  With a massive file server, I'd like to be able to *write* quickly,
>  too.  Do you propose to have your router reassemble fragmented packets
>  as they go by to present the server with large packets as input?
>  That is no more permissable under IPv4 than it is under IPv6;
>  will that stop you?

I think the main issue of massive server performance is
not understood.  Network reads and writes across
10/100Mbps media at best are not so fast.  The goal is not
faster reads or writes, but to support a massive number
of clients, which means that the server must be
able to deliver as much data per second as possible
to the communications subnet.

For some reason, the designers of IPv6 are
apparently insisting on crippling the common
configuration of a massive server with numerous
lower-speed clients.  I cannot think of a better
way to guarantee that IPv6 will quickly fade
into oblivion.  For IPv6 to avoid this fate, the
rather arbitrary and impossible to enforce
restriction against network fragmentation
need only be written out of the specification.
Why is it so difficult to make such a minor
change?

In any case, with regard to the question asked,
if you want to write faster to the file server, I think 
you have to start with getting a network interface 
faster than 100Mbps.  I am not sure network 
reassembly is so much forbidden as impossible because
there is no way to guarantee that fragments will pass
through the same intermediate system except in
the case of a leaf network that connects to the larger
internet through a single packet switch.

Joachim Martillo
<A HREF="http://members.aol.com/Telford001/">Telford Tools, Inc.</A> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------